import { ChangeDetectorRef, ElementRef, EventEmitter, Injector, NgZone } from '@angular/core';
import { ValueAccessor } from 'cty-mui-angular/common';
import type { Components } from 'cty-mui-core/components';
import * as i0 from "@angular/core";
export declare class CtyRate extends ValueAccessor {
    protected z: NgZone;
    protected el: HTMLCtyRateElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone, injector: Injector);
    handleIonChange(el: HTMLCtyRateElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyRate, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyRate, "cty-rate", never, { "clearable": { "alias": "clearable"; "required": false; }; "count": { "alias": "count"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "half": { "alias": "half"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "touchable": { "alias": "touchable"; "required": false; }; "value": { "alias": "value"; "required": false; }; "voidIcon": { "alias": "voidIcon"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyRate extends Components.CtyRate {
    /**
     * Emitted when the value property has changed and any
  dragging pointer has been released from `ion-segment`.
     */
    ctyChange: EventEmitter<CustomEvent<number>>;
}
