import { ChangeDetectorRef, ElementRef, EventEmitter, Injector, NgZone } from '@angular/core';
import { ValueAccessor } from 'cty-mui-angular/common';
import type { Components } from 'cty-mui-core/components';
import * as i0 from "@angular/core";
export declare class CtySidePanel extends ValueAccessor {
    protected z: NgZone;
    protected el: HTMLCtySidePanelElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone, injector: Injector);
    handleIonChange(el: HTMLCtySidePanelElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CtySidePanel, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtySidePanel, "cty-side-panel", never, { "sideBars": { "alias": "sideBars"; "required": false; }; "singleContent": { "alias": "singleContent"; "required": false; }; "beforeChange": { "alias": "beforeChange"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtySidePanel extends Components.CtySidePanel {
    /**
     * Emitted when the value property has changed and any
  dragging pointer has been released from `ion-segment`.
     */
    ctyChange: EventEmitter<CustomEvent<boolean>>;
}
