import { ModuleWithProviders } from '@angular/core';
import { CtyMUIConfig } from 'cty-mui-core';
import * as i0 from "@angular/core";
import * as i1 from "./directives/proxies";
import * as i2 from "@angular/common";
export declare class CtyMUIModule {
    static forRoot(config: CtyMUIConfig): ModuleWithProviders<CtyMUIModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyMUIModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<CtyMUIModule, [typeof i1.CtyActionSheet, typeof i1.CtyAgree, typeof i1.CtyAlert, typeof i1.CtyAnswerSheet, typeof i1.CtyArticleCard, typeof i1.CtyAudio, typeof i1.CtyBackdrop, typeof i1.CtyBanner, typeof i1.CtyCameraPhoto, typeof i1.CtyCanvasBoard, typeof i1.CtyCanvasVideo, typeof i1.CtyCascader, typeof i1.CtyCircle, typeof i1.CtyCountDown, typeof i1.CtyCropImage, typeof i1.CtyDivider, typeof i1.CtyEmpty, typeof i1.CtyFloatingBubble, typeof i1.CtyFloatingPanel, typeof i1.CtyIcon, typeof i1.CtyImageUpload, typeof i1.CtyImageViewer, typeof i1.CtyIndexBar, typeof i1.CtyKeyboard, typeof i1.CtyLoading, typeof i1.CtyMediaCapture, typeof i1.CtyNavBar, typeof i1.CtyNoticeBar, typeof i1.CtyOverlay, typeof i1.CtyPdfViewer, typeof i1.CtyPermissionPurpose, typeof i1.CtyProgress, typeof i1.CtyQuickAccess, typeof i1.CtyRate, typeof i1.CtyRecord, typeof i1.CtySegmentSlides, typeof i1.CtyShareSheet, typeof i1.CtySidePanel, typeof i1.CtyStep, typeof i1.CtyStepper, typeof i1.CtySteps, typeof i1.CtySwipe, typeof i1.CtySwipeItem, typeof i1.CtySwiper, typeof i1.CtyTextEllipsis, typeof i1.CtyTitleBar, typeof i1.CtyTour, typeof i1.CtyTutorial, typeof i1.CtyVideo, typeof i1.CtyVirtualList], [typeof i2.CommonModule], [typeof i1.CtyActionSheet, typeof i1.CtyAgree, typeof i1.CtyAlert, typeof i1.CtyAnswerSheet, typeof i1.CtyArticleCard, typeof i1.CtyAudio, typeof i1.CtyBackdrop, typeof i1.CtyBanner, typeof i1.CtyCameraPhoto, typeof i1.CtyCanvasBoard, typeof i1.CtyCanvasVideo, typeof i1.CtyCascader, typeof i1.CtyCircle, typeof i1.CtyCountDown, typeof i1.CtyCropImage, typeof i1.CtyDivider, typeof i1.CtyEmpty, typeof i1.CtyFloatingBubble, typeof i1.CtyFloatingPanel, typeof i1.CtyIcon, typeof i1.CtyImageUpload, typeof i1.CtyImageViewer, typeof i1.CtyIndexBar, typeof i1.CtyKeyboard, typeof i1.CtyLoading, typeof i1.CtyMediaCapture, typeof i1.CtyNavBar, typeof i1.CtyNoticeBar, typeof i1.CtyOverlay, typeof i1.CtyPdfViewer, typeof i1.CtyPermissionPurpose, typeof i1.CtyProgress, typeof i1.CtyQuickAccess, typeof i1.CtyRate, typeof i1.CtyRecord, typeof i1.CtySegmentSlides, typeof i1.CtyShareSheet, typeof i1.CtySidePanel, typeof i1.CtyStep, typeof i1.CtyStepper, typeof i1.CtySteps, typeof i1.CtySwipe, typeof i1.CtySwipeItem, typeof i1.CtySwiper, typeof i1.CtyTextEllipsis, typeof i1.CtyTitleBar, typeof i1.CtyTour, typeof i1.CtyTutorial, typeof i1.CtyVideo, typeof i1.CtyVirtualList]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<CtyMUIModule>;
}
