import type { ActionSheetOptions, AlertOptions, LoadingOptions, PickerOptions, ToastOptions } from '@ionic/core';
import { Config } from 'cty-mui-angular/common';
import * as i0 from "@angular/core";
export declare class CtyController {
    private config;
    constructor(config: Config);
    ActionSheet(opt: ActionSheetOptions): Promise<HTMLIonActionSheetElement>;
    Alert(opt: AlertOptions | string): Promise<HTMLIonAlertElement>;
    Loading(opt: LoadingOptions): Promise<HTMLIonLoadingElement>;
    Picker(opt: PickerOptions): Promise<HTMLIonPickerElement>;
    Toast(opt: ToastOptions | string): Promise<HTMLIonToastElement>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyController, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CtyController>;
}
