import { ChangeDetectorRef, ElementRef, EventEmitter, Injector, NgZone } from '@angular/core';
import { ValueAccessor } from 'cty-mui-angular/common';
import type { Components } from 'cty-mui-core/components';
import * as i0 from "@angular/core";
export declare class CtyAgree extends ValueAccessor {
    protected z: NgZone;
    protected el: HTMLCtyAgreeElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone, injector: Injector);
    handleIonChange(el: HTMLCtyAgreeElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyAgree, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyAgree, "cty-agree", never, { "disabled": { "alias": "disabled"; "required": false; }; "spinner": { "alias": "spinner"; "required": false; }; "triggerArea": { "alias": "triggerArea"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyAgree extends Components.CtyAgree {
    /**
     * Emitted when the value property has changed and any
  dragging pointer has been released from `ion-segment`.
     */
    ctyChange: EventEmitter<CustomEvent<boolean>>;
}
