import { ChangeDetectorRef, ElementRef, EventEmitter, NgZone } from '@angular/core';
import type { Components } from 'cty-mui-core/components';
import * as i0 from "@angular/core";
export declare class CtySegmentSlides {
    protected z: NgZone;
    protected el: HTMLCtySegmentSlidesElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtySegmentSlides, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtySegmentSlides, "cty-segment-slides", never, { "segments": { "alias": "segments"; "required": false; }; "autoHeight": { "alias": "autoHeight"; "required": false; }; "top": { "alias": "top"; "required": false; }; "segmentProps": { "alias": "segmentProps"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; "observer": { "alias": "observer"; "required": false; }; "observerParents": { "alias": "observerParents"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtySegmentSlides extends Components.CtySegmentSlides {
    /**
     * Emitted when the value property has changed and any
  dragging pointer has been released from `ion-segment`.
     */
    ctyChange: EventEmitter<CustomEvent<number>>;
}
