import { ChangeDetectorRef, ElementRef, EventEmitter, Injector, NgZone } from '@angular/core';
import { ValueAccessor } from 'cty-mui-angular/common';
import type { Components } from 'cty-mui-core/components';
import * as i0 from "@angular/core";
export declare class CtyStepper extends ValueAccessor {
    protected z: NgZone;
    protected el: HTMLCtyStepperElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone, injector: Injector);
    handleIonChange(el: HTMLCtyStepperElement): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyStepper, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtyStepper, "cty-stepper", never, { "disabled": { "alias": "disabled"; "required": false; }; "disableInput": { "alias": "disableInput"; "required": false; }; "disableMinus": { "alias": "disableMinus"; "required": false; }; "disablePlus": { "alias": "disablePlus"; "required": false; }; "integer": { "alias": "integer"; "required": false; }; "max": { "alias": "max"; "required": false; }; "min": { "alias": "min"; "required": false; }; "minusText": { "alias": "minusText"; "required": false; }; "plusText": { "alias": "plusText"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "showInput": { "alias": "showInput"; "required": false; }; "showMinus": { "alias": "showMinus"; "required": false; }; "showPlus": { "alias": "showPlus"; "required": false; }; "step": { "alias": "step"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtyStepper extends Components.CtyStepper {
    /**
     * Emitted when the value property has changed and any
  dragging pointer has been released from `ion-segment`.
     */
    ctyBlur: EventEmitter<CustomEvent<{
        value: number | string;
        event: FocusEvent;
    }>>;
    ctyChange: EventEmitter<CustomEvent<number | string>>;
    ctyFocus: EventEmitter<CustomEvent<{
        value: number | string;
        event: FocusEvent;
    }>>;
    ctyMinus: EventEmitter<CustomEvent<number | string>>;
    ctyPlus: EventEmitter<CustomEvent<number | string>>;
}
