import { ChangeDetectorRef, ElementRef, EventEmitter, NgZone } from '@angular/core';
import type { Components, SwiperResult } from 'cty-mui-core/components';
import * as i0 from "@angular/core";
export declare class CtySwiper {
    protected z: NgZone;
    protected el: HTMLCtySwiperElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<CtySwiper, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CtySwiper, "cty-swiper", never, { "swipers": { "alias": "swipers"; "required": false; }; "props": { "alias": "props"; "required": false; }; "autoplay": { "alias": "autoplay"; "required": false; }; "loop": { "alias": "loop"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "pagination": { "alias": "pagination"; "required": false; }; "observer": { "alias": "observer"; "required": false; }; "observerParents": { "alias": "observerParents"; "required": false; }; "swiperModules": { "alias": "swiperModules"; "required": false; }; "attrs": { "alias": "attrs"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface CtySwiper extends Components.CtySwiper {
    /**
     * Emitted when the value property has changed and any
  dragging pointer has been released from `ion-segment`.
     */
    ctySlideChange: EventEmitter<CustomEvent<SwiperResult>>;
    ctySlideClick: EventEmitter<CustomEvent<SwiperResult>>;
}
