import type { ActionSheetOptions, AlertOptions, ModalOptions, LoadingOptions, PopoverOptions, PickerOptions, ToastOptions } from '@ionic/core/components';
import { Config } from 'cty-mui-angular/common';
import * as i0 from "@angular/core";
export declare class CtyController {
    private config;
    constructor(config: Config);
    ActionSheet(opt: ActionSheetOptions): Promise<HTMLIonActionSheetElement>;
    Alert(opt: AlertOptions | string): Promise<HTMLIonAlertElement>;
    Loading(opt: LoadingOptions): Promise<HTMLIonLoadingElement>;
    Modal(opt: ModalOptions): Promise<HTMLIonModalElement>;
    Picker(opt: PickerOptions): Promise<HTMLIonPickerElement>;
    Popover(e: Event, opt: PopoverOptions): Promise<HTMLIonPopoverElement>;
    Toast(opt: ToastOptions | string): Promise<HTMLIonToastElement>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CtyController, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CtyController>;
}
